Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlConstants

    java.lang.Object
      biouml.model.util.DiagramXmlConstants

Direct Known Subclasses:
  DiagramXmlSupport

public class DiagramXmlConstants
extends java.lang.Object

Field Summary
`static java.lang.String` | `AFTER_ATTR`
`static java.lang.String` | `AFTER_ELEMENT`
`static java.lang.String` | `APPVERSION_ATTR`
`static java.lang.String` | `ASSIGNMENT_ELEMENT`
`static java.lang.String` | `BACKGROUND_COLOR_ATTR`
`static java.lang.String` | `BACKGROUND_VISIBLE_ATTR`
`static java.lang.String` | `BOUNDARY_CONDITION_ATTR`
`static java.lang.String` | `COLOR_ATTR`
`static java.lang.String` | `COMMENT_ATTR`
`static java.lang.String` | `COMPARTMENT_ELEMENT`
`static java.lang.String` | `COMPARTMENT_INFO_ELEMENT`
`static java.lang.String` | `COMPLETION_TIME_ATTR`
`static java.lang.String` | `DELAY_ATTR`
`static java.lang.String` | `DELAY_UNIT_ATTR`
`static java.lang.String` | `DIAGRAM_ELEMENT`
`static java.lang.String` | `DIAGRAM_ELEMENT_ATTR`
`static java.lang.String` | `DIAGRAM_INFO_ATTR` Deprecated. replased by PCDATA section in v. 0.7.3
`static java.lang.String` | `DIAGRAM_INFO_ELEMENT`
`static java.lang.String` | `DIAGRAM_TYPE_ATTR`
`static java.lang.String` | `DML_ELEMENT`
`static java.lang.String` | `EDGE_ELEMENT`
`static java.lang.String` | `EDGES_ELEMENT`
`static java.lang.String` | `EQUATION_ELEMENT`
`static java.lang.String` | `EQUATION_TYPE_ATTR`
`static java.lang.String` | `EQUIVALENTNODEGROUP_ELEMENT`
`static java.lang.String` | `EVENT_ELEMENT`
`static java.lang.String` | `EXECUTABLE_MODEL_ELEMENT`
`static java.lang.String` | `FORMULA_ATTR`
`static java.lang.String` | `HEIGHT_ATTR`
`static java.lang.String` | `HIDE_TITLE_ATTTR`
`static java.lang.String` | `ID_ATTR`
`static java.lang.String` | `IMAGE_ELEMENT`
`static java.lang.String` | `IN_REF_ATTR`
`static java.lang.String` | `INITIAL_TIME_ATTR`
`static java.lang.String` | `INITIAL_VALUE_ATTR`
`static java.lang.String` | `INPORT_ATTR`
`static java.lang.String` | `KERNEL_REF_ATTR`
`static java.lang.String` | `KERNEL_TYPE_ATTR`
`static java.lang.String` | `MODEL_CLASS_ATTR`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `NODE_ELEMENT`
`static java.lang.String` | `NODES_ELEMENT`
`static java.lang.String` | `ON_EVENT_ELEMENT`
`static java.lang.String` | `OUT_REF_ATTR`
`static java.lang.String` | `OUTPORT_ATTR`
`static java.lang.String` | `PARAMETER_ELEMENT`
`static java.lang.String` | `PLOT_LINE_SPEC_ATTR`
`static java.lang.String` | `REPRESENTATIVE_ATTR`
`static java.lang.String` | `SHAPE_ATTR`
`static java.lang.String` | `SHOW_IN_PLOT_ATTR`
`static java.lang.String` | `SRC_ATTR`
`static java.lang.String` | `STATE_ELEMENT`
`static java.lang.String` | `STATE_ENTRY_ELEMENT`
`static java.lang.String` | `STATE_EXIT_ELEMENT`
`static java.lang.String` | `STATE_ON_EVENT_ELEMENT`
`static java.lang.String` | `STUB`
`static java.lang.String` | `TITLE_ATTR`
`static java.lang.String` | `TRANSITION_ELEMENT`
`static java.lang.String` | `TRIGGER_ATTR`
`static java.lang.String` | `UNITS_ATTR`
`static java.lang.String` | `UNKNOWN_VALUE`
`static java.lang.String` | `VALUE_ATTR`
`static java.lang.String` | `VARIABLE_ATTR`
`static java.lang.String` | `VARIABLE_ELEMENT`
`static java.lang.String` | `VERSION_ATTR`
`static java.lang.String` | `WHEN_ELEMENT`
`static java.lang.String` | `WIDTH_ATTR`
`static java.lang.String` | `X_ATTR`
`static java.lang.String` | `Y_ATTR`

Constructor Summary
`DiagramXmlConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DML_ELEMENT

    public static final java.lang.String DML_ELEMENT

See Also:
  Constant Field Values

### VERSION_ATTR

    public static final java.lang.String VERSION_ATTR

See Also:
  Constant Field Values

### APPVERSION_ATTR

    public static final java.lang.String APPVERSION_ATTR

See Also:
  Constant Field Values

### UNKNOWN_VALUE

    public static final java.lang.String UNKNOWN_VALUE

See Also:
  Constant Field Values

### STUB

    public static final java.lang.String STUB

See Also:
  Constant Field Values

### DIAGRAM_INFO_ELEMENT

    public static final java.lang.String DIAGRAM_INFO_ELEMENT

See Also:
  Constant Field Values

### DIAGRAM_INFO_ATTR

    public static final java.lang.String DIAGRAM_INFO_ATTR

  Deprecated. replased by PCDATA section in v. 0.7.3

  See Also:
    Constant Field Values

### DIAGRAM_ELEMENT

    public static final java.lang.String DIAGRAM_ELEMENT

See Also:
  Constant Field Values

### DIAGRAM_TYPE_ATTR

    public static final java.lang.String DIAGRAM_TYPE_ATTR

See Also:
  Constant Field Values

### COMPARTMENT_ELEMENT

    public static final java.lang.String COMPARTMENT_ELEMENT

See Also:
  Constant Field Values

### EQUIVALENTNODEGROUP_ELEMENT

    public static final java.lang.String EQUIVALENTNODEGROUP_ELEMENT

See Also:
  Constant Field Values

### REPRESENTATIVE_ATTR

    public static final java.lang.String REPRESENTATIVE_ATTR

See Also:
  Constant Field Values

### COMPARTMENT_INFO_ELEMENT

    public static final java.lang.String COMPARTMENT_INFO_ELEMENT

See Also:
  Constant Field Values

### ID_ATTR

    public static final java.lang.String ID_ATTR

See Also:
  Constant Field Values

### KERNEL_REF_ATTR

    public static final java.lang.String KERNEL_REF_ATTR

See Also:
  Constant Field Values

### KERNEL_TYPE_ATTR

    public static final java.lang.String KERNEL_TYPE_ATTR

See Also:
  Constant Field Values

### X_ATTR

    public static final java.lang.String X_ATTR

See Also:
  Constant Field Values

### Y_ATTR

    public static final java.lang.String Y_ATTR

See Also:
  Constant Field Values

### WIDTH_ATTR

    public static final java.lang.String WIDTH_ATTR

See Also:
  Constant Field Values

### HEIGHT_ATTR

    public static final java.lang.String HEIGHT_ATTR

See Also:
  Constant Field Values

### TITLE_ATTR

    public static final java.lang.String TITLE_ATTR

See Also:
  Constant Field Values

### COMMENT_ATTR

    public static final java.lang.String COMMENT_ATTR

See Also:
  Constant Field Values

### SHAPE_ATTR

    public static final java.lang.String SHAPE_ATTR

See Also:
  Constant Field Values

### COLOR_ATTR

    public static final java.lang.String COLOR_ATTR

See Also:
  Constant Field Values

### NODES_ELEMENT

    public static final java.lang.String NODES_ELEMENT

See Also:
  Constant Field Values

### NODE_ELEMENT

    public static final java.lang.String NODE_ELEMENT

See Also:
  Constant Field Values

### BACKGROUND_VISIBLE_ATTR

    public static final java.lang.String BACKGROUND_VISIBLE_ATTR

See Also:
  Constant Field Values

### BACKGROUND_COLOR_ATTR

    public static final java.lang.String BACKGROUND_COLOR_ATTR

See Also:
  Constant Field Values

### IMAGE_ELEMENT

    public static final java.lang.String IMAGE_ELEMENT

See Also:
  Constant Field Values

### SRC_ATTR

    public static final java.lang.String SRC_ATTR

See Also:
  Constant Field Values

### HIDE_TITLE_ATTTR

    public static final java.lang.String HIDE_TITLE_ATTTR

See Also:
  Constant Field Values

### EDGES_ELEMENT

    public static final java.lang.String EDGES_ELEMENT

See Also:
  Constant Field Values

### EDGE_ELEMENT

    public static final java.lang.String EDGE_ELEMENT

See Also:
  Constant Field Values

### IN_REF_ATTR

    public static final java.lang.String IN_REF_ATTR

See Also:
  Constant Field Values

### OUT_REF_ATTR

    public static final java.lang.String OUT_REF_ATTR

See Also:
  Constant Field Values

### INPORT_ATTR

    public static final java.lang.String INPORT_ATTR

See Also:
  Constant Field Values

### OUTPORT_ATTR

    public static final java.lang.String OUTPORT_ATTR

See Also:
  Constant Field Values

### EXECUTABLE_MODEL_ELEMENT

    public static final java.lang.String EXECUTABLE_MODEL_ELEMENT

See Also:
  Constant Field Values

### MODEL_CLASS_ATTR

    public static final java.lang.String MODEL_CLASS_ATTR

See Also:
  Constant Field Values

### INITIAL_TIME_ATTR

    public static final java.lang.String INITIAL_TIME_ATTR

See Also:
  Constant Field Values

### COMPLETION_TIME_ATTR

    public static final java.lang.String COMPLETION_TIME_ATTR

See Also:
  Constant Field Values

### PARAMETER_ELEMENT

    public static final java.lang.String PARAMETER_ELEMENT

See Also:
  Constant Field Values

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### VALUE_ATTR

    public static final java.lang.String VALUE_ATTR

See Also:
  Constant Field Values

### VARIABLE_ELEMENT

    public static final java.lang.String VARIABLE_ELEMENT

See Also:
  Constant Field Values

### VARIABLE_ATTR

    public static final java.lang.String VARIABLE_ATTR

See Also:
  Constant Field Values

### DIAGRAM_ELEMENT_ATTR

    public static final java.lang.String DIAGRAM_ELEMENT_ATTR

See Also:
  Constant Field Values

### INITIAL_VALUE_ATTR

    public static final java.lang.String INITIAL_VALUE_ATTR

See Also:
  Constant Field Values

### UNITS_ATTR

    public static final java.lang.String UNITS_ATTR

See Also:
  Constant Field Values

### BOUNDARY_CONDITION_ATTR

    public static final java.lang.String BOUNDARY_CONDITION_ATTR

See Also:
  Constant Field Values

### SHOW_IN_PLOT_ATTR

    public static final java.lang.String SHOW_IN_PLOT_ATTR

See Also:
  Constant Field Values

### PLOT_LINE_SPEC_ATTR

    public static final java.lang.String PLOT_LINE_SPEC_ATTR

See Also:
  Constant Field Values

### EQUATION_ELEMENT

    public static final java.lang.String EQUATION_ELEMENT

See Also:
  Constant Field Values

### FORMULA_ATTR

    public static final java.lang.String FORMULA_ATTR

See Also:
  Constant Field Values

### EQUATION_TYPE_ATTR

    public static final java.lang.String EQUATION_TYPE_ATTR

See Also:
  Constant Field Values

### EVENT_ELEMENT

    public static final java.lang.String EVENT_ELEMENT

See Also:
  Constant Field Values

### TRIGGER_ATTR

    public static final java.lang.String TRIGGER_ATTR

See Also:
  Constant Field Values

### DELAY_ATTR

    public static final java.lang.String DELAY_ATTR

See Also:
  Constant Field Values

### DELAY_UNIT_ATTR

    public static final java.lang.String DELAY_UNIT_ATTR

See Also:
  Constant Field Values

### ASSIGNMENT_ELEMENT

    public static final java.lang.String ASSIGNMENT_ELEMENT

See Also:
  Constant Field Values

### STATE_ELEMENT

    public static final java.lang.String STATE_ELEMENT

See Also:
  Constant Field Values

### STATE_ENTRY_ELEMENT

    public static final java.lang.String STATE_ENTRY_ELEMENT

See Also:
  Constant Field Values

### STATE_EXIT_ELEMENT

    public static final java.lang.String STATE_EXIT_ELEMENT

See Also:
  Constant Field Values

### STATE_ON_EVENT_ELEMENT

    public static final java.lang.String STATE_ON_EVENT_ELEMENT

See Also:
  Constant Field Values

### TRANSITION_ELEMENT

    public static final java.lang.String TRANSITION_ELEMENT

See Also:
  Constant Field Values

### WHEN_ELEMENT

    public static final java.lang.String WHEN_ELEMENT

See Also:
  Constant Field Values

### AFTER_ELEMENT

    public static final java.lang.String AFTER_ELEMENT

See Also:
  Constant Field Values

### ON_EVENT_ELEMENT

    public static final java.lang.String ON_EVENT_ELEMENT

See Also:
  Constant Field Values

### AFTER_ATTR

    public static final java.lang.String AFTER_ATTR

See Also:
  Constant Field Values

Constructor Detail

### DiagramXmlConstants

    public DiagramXmlConstants()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.